Mixedbread
EndpointsIntegrations

List OAuth Client Connections

GET/v1/integrations/oauth-clients/{provider}/connections

Authorization

Authorizationstringrequired

Bearer token of an organization owner or admin. Format: `Bearer YOUR_API_KEY`

Path Parameters

providerenumrequired

The connector to inspect

Possible values

google_drivegmailslack

Response Body

Request
cURL
GET/v1/integrations/oauth-clients/{provider}/connections
curl https://api.mixedbread.com/v1/integrations/oauth-clients/gmail/connections \
  -H 'Authorization: Bearer YOUR_API_KEY'
Response
JSON
{
  "data": [
    {
      "installation_id": "2f1c9a8e-6b4d-4e3a-9c1f-7d8e5b6a4c21",
      "provider": "gmail",
      "status": "active",
      "account": {
        "id": "olivia@example.com",
        "name": "olivia@example.com",
        "email": "olivia@example.com",
        "workspace": null
      },
      "store_id": "5d3e7f9a-1b2c-4d6e-8f0a-9c8b7a6d5e4f",
      "store_name": "mail-olivia",
      "sync": {
        "failed_resource_count": 0,
        "last_error": null,
        "last_error_operation": null,
        "last_error_at": null
      },
      "installed_by_user_id": null,
      "connected_at": "2026-09-05T17:25:12.338038+00:00",
      "updated_at": "2026-09-05T17:25:12.338038+00:00"
    }
  ]
}